r.carve(1)

NAME
r.carve - Generates stream channels.
Takes vector stream data, transforms it to raster and subtracts depth from the output DEM.

KEYWORDS
raster, hydrology

SYNOPSIS
r.carve
r.carve --help
r.carve [-n] raster=name vector=name output=name [points=name] [width=float] [depth=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    No flat areas allowed in flow direction

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

raster=name [required]
    Name of input raster elevation map

vector=name [required]
    Name of input vector map containing stream(s)
    Or data source for direct OGR access

output=name [required]
    Name for output raster map

points=name
    Name for output vector map for adjusted stream points

width=float
    Stream width (in meters)
    Default is raster cell width

depth=float
    Additional stream depth (in meters)

DESCRIPTION
r.carve accepts vector stream data as input, transforms them to raster, and subtracts a default-depth + additional-depth from a DEM. If the given width is more than 1 cell, it will carve the stream with the given width. With the -n flag it should eliminate all flat cells within the stream, so when and if the water gets into the stream it will flow. The points option generates x,y,z for points which define the stream with the z-value of the bottom of the carved-in stream. These points can then be combined with contours to interpolate a new DEM with better representation of valleys.

NOTES
r.carve does not create a depressionless DEM because many depressions are in flat areas and not in the streams.

EXAMPLE
North Carolina sample dataset:

# set computational region
g.region raster=elev_lid792_1m -p
# visualize original data
d.mon wx0
d.rast elev_lid792_1m
d.vect streams
# carve
r.carve rast=elev_lid792_1m vect=streams out=carved_dem width=3 depth=0.5
# visualize resulting carved DEM map
d.rast carved_dem
# visualize
r.relief input=elev_lid792_1m output=elev_lid792_1m_shaded
r.relief input=carved_dem output=carved_dem_shaded
d.rast elev_lid792_1m_shaded
d.erase
d.rast carved_dem_shaded
# flow accumulation
r.watershed elevation=elev_lid792_1m accumulation=elev_lid792_1m_accum
r.watershed elevation=carved_dem accumulation=carved_dem_accum
d.rast elev_lid792_1m_accum
d.erase
d.rast carved_dem_accum

Fig: Original 1m LiDAR based DEM with vector streams map on top |  | Fig: Original 1m LiDAR based DEM shown as shaded terrain
Fig: Carved 1m LiDAR based DEM |  | Fig: Carved 1m LiDAR based DEM shown as shaded terrain
Fig: Flow accumulation in original 1m LiDAR based DEM |  | Fig: Flow accumulation in carved 1m LiDAR based DEM

KNOWN ISSUES
The module does not operate yet in latitude-longitude locations. It has not been thoroughly tested, so not all options may work properly - but this was the intention.

REFERENCES
Terrain modeling and Soil Erosion Simulations for Fort Hood and Fort Polk test areas, by Helena Mitasova, Lubos Mitas, William M. Brown, Douglas M. Johnston, GMSL (Report for CERL 1999)

SEE ALSO
r.flow, r.fill.dir, r.watershed

AUTHOR
Bill Brown (GMSL)
GRASS 6 update: Brad Douglas

Last changed: $Date$

SOURCE CODE

Available at: r.carve source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual